/*---------------------------------------------------------------------------*/
/** @file powerlight.h

 @version 1.0
*/
#ifndef POWERLIGHT_H
#define POWERLIGHT_H

#ifdef __MARC_CONFIG__

#include "light.h"
#include "power.h"

class Auxiliary {
private:
	Power	power;
	Light	light;
public:
			loadConst(dialog)	{...light.loadConst(...); power.LoadConst(...)}
			reset(dialog)		{light.reset(...);power.reset(...)}
			testIdent(dialog)	{light.testIdent;... power.testIdent()}
			getConst() {...}
			testCRC() {...}
			isReady() {...}
			reset() {...}

	int		testButtons(int dialog) {return light.testButtons(dialog);}
	int		testIllum(int dialog) {light.testIllum(int dialog);}
	int		turnIllum(int state,	// ON or OFF
				 int dialog=1) {light.turnIllum(state, dialog);}
	int		turnIllum(const char* state,    // "ON" or "OFF"
				int dialog=1) {light.turnIllum(state, dialog);}
	int		turnLight(int state,	// ON or OFF
				 int dialog=1) {light.turnLight(state, dialog);}
	int		turnLight(const char* state,    // "ON" or "OFF"
				int dialog=1, int waitInterval=LIGHT_WAIT_INTERVAL) {
					light.turnLight(state, dialog, waitInterval); }
	int		turnButtons(int state,	// ON or OFF
				 int dialog=1) {light.turnButtons(state, dialog);}
	int		turnButtons(const char* state,    // "ON" or "OFF"
				int dialog=1) {light.turnButtons(state, dialog);}
	int		setBrightness(int illumLevel,	// [0..15]
					int dialog=1)
	int		setBrightnessUp
	int		setBrightnessDown
			setLight
			setVAmpl

			setBMode

	int		isIllumOn(void)	{return light.isIllumOn();}
	int		isLightOn(void);
	int		isButtonsOn(void);
	int		getCurrentBrightness(void);
	double	getLight(void);
			turnVary
			getBMode
			getBParam

			isHVOn
			turnHV
			turnSafety
	int		isSafetyOn(void);
	int		getVoltage(void);
			setVoltage
			testOverLight
			getTemper
};

#endif
#endif
